Bug 164568 - [PATCH] sysutils/bacula-server shouldn't use pkg-install to create users
Summary: [PATCH] sysutils/bacula-server shouldn't use pkg-install to create users
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-28 11:40 UTC by Chris Rees
Modified: 2012-02-03 21:20 UTC (History)
0 users

See Also:


Attachments
patch.txt (3.52 KB, text/plain)
2012-01-28 11:40 UTC, Chris Rees
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees freebsd_committer 2012-01-28 11:40:06 UTC
	bacula-server uses pkg-install scripts to create users on installation, and should use the USERS hooks in bsd.port.mk.

	It also should not set DEFAULT_PGSQL_VER.
Comment 1 Edwin Groothuis freebsd_committer 2012-01-28 11:40:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

crees@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-01-28 11:40:19 UTC
Maintainer of sysutils/bacula-server,

Please note that PR ports/164568 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/164568

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-01-28 11:40:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Dan Langille 2012-02-01 21:19:37 UTC
Approved by maintainer.  Sorry for the delay.

-- 
Dan Langille -- http://langille.org/
Comment 5 Dan Langille 2012-02-01 21:19:50 UTC
Approved by maintainer.  Sorry for the delay.

-- 
Dan Langille -- http://langille.org/
Comment 6 Chris Rees freebsd_committer 2012-02-03 21:18:26 UTC
State Changed
From-To: feedback->closed

Committed.  Thanks for the prompt approval :)
Comment 7 dfilter service freebsd_committer 2012-02-03 21:18:31 UTC
crees       2012-02-03 21:18:14 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/bacula-server Makefile 
    sysutils/bacula-server/files pkg-install.client.in 
                                 pkg-install.server.in 
  Log:
  - Use USERS and GROUPS
  
  - Stop setting DEFAULT_PGSQL_VER
  
  PR:             ports/164568
  Submitted by:   crees (me)
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.133     +3 -1      ports/sysutils/bacula-server/Makefile
  1.4       +0 -29     ports/sysutils/bacula-server/files/pkg-install.client.in
  1.3       +0 -47     ports/sysutils/bacula-server/files/pkg-install.server.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"